variables:
  SAST_DEFAULT_ANALYZERS: "spotbugs"
  SAST_REPORT_URL: "https://gitlab.com/gitlab-org/security-products/analyzers/$SAST_DEFAULT_ANALYZERS/-/raw/master/qa/expect/$CI_PROJECT_NAME/gl-sast-report.json"
  DS_REPORT_URL: "https://gitlab.com/gitlab-org/security-products/analyzers/gemnasium-maven/-/raw/master/qa/expect/$CI_PROJECT_NAME/gl-dependency-scanning-report.json"

stages:
  - test
  - qa

dependency_scanning:
  script:
    - echo ds skip
  artifacts:
    paths: 
      - gl-dependency-scanning-report.json

gemnasium-dependency_scanning:
  script:
    - echo ds skip
  artifacts:
    paths: 
      - gl-dependency-scanning-report.json
  rules:
    - if: $FALSE

gemnasium-maven-dependency_scanning:
  script:
    - echo ds skip
  artifacts:
    paths: 
      - gl-dependency-scanning-report.json
  rules:
    - if: $FALSE

gemnasium-python-dependency_scanning:
  script:
    - echo ds skip
  artifacts:
    paths: 
      - gl-dependency-scanning-report.json
  rules:
    - if: $FALSE

bundler-audit-dependency_scanning:
  script:
    - echo ds skip
  artifacts:
    paths: 
      - gl-dependency-scanning-report.json
  rules:
    - if: $FALSE

retire-js-dependency_scanning:
  script:
    - echo ds skip
  artifacts:
    paths: 
      - gl-dependency-scanning-report.json
  rules:
    - if: $FALSE

include:
  - https://gitlab.com/gitlab-org/security-products/ci-templates/raw/master/includes-dev/qa-dependency_scanning.yml
